CreateTokenRequest:
  type: object
  properties:
    grant_type:
      type: string
      description: Тип из GrantTypeEnum
    client_id:
      type: string
      description: Id клиентского приложения
    client_secret:
      type: string
      description: Секрет клиентского приложения
    scope:
      type: array
      items:
        type: string
    username:
      type: string
      description: Логин пользователя
    password:
      type: string
      description: Пароль пользователя
    refresh_token:
      type: string
      description: Токен обновления
  required:
    - grant_type
    - client_id
    - client_secret
    - scope
CreateTokenResponse:
  type: object
  properties:
    token_type:
      type: string
      description: Тип токена для доступа к api, в нашем случае всегда Bearer
      example: Bearer
    expires_in:
      type: integer
      description: Время жизни токена в секундах
      example: 86400
    access_token:
      type: string
      description: Токен доступа в формате JWT
    refresh_token:
      type: string
      description: Токен по которому можно получить новый токен доступа
  required:
    - token_type
    - expires_in
    - access_token
    - refresh_token

TokenId:
  in: path
  name: token_id
  required: true
  schema:
    type: string
  description: Строковый id
  example: 'b292369ad4d10944183cc5f05c77528e3749202b9745ea0bd88f6b1e6181fff6e364bd36cd11a4ed'
